#ifndef _LAGUERRE_H_
#define _LAGUERRE_H_
/*------------------------------------------------------
 Maximum likelihood estimation 
 of migration rate  and effectice population size
 using a Metropolis-Hastings Monte Carlo algorithm                            
 -------------------------------------------------------                        
 Laguerre integration  R O U T I N E S 
 
 Peter Beerli 2000, Seattle
 beerli@genetics.washington.edu
 
Copyright 2001 Peter Beerli and Joseph Felsenstein
 
$Id: laguerre.h,v 1.5 2002/06/20 06:25:35 beerli Exp $
-------------------------------------------------------*/

extern void integrate_laguerre (long categs, double *rate,
                                    double *probcat,
                                    double (*func) (double, helper_fmt *),
                                    helper_fmt * helper, double *result,
                                    double *rmax);
extern void initgammacat (long categs, double alpha, double theta1,
                              double *rate, double *probcat);


#endif
